### Method

# Gtk CellAreaBoxpack_end

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_box_pack_end (
      GtkCellAreaBox* box,
      GtkCellRenderer* renderer,
      gboolean expand,
      gboolean align,
      gboolean fixed
    )

#### Description [src]

Adds `renderer` to `box`, packed with reference to the end of `box`.

The `renderer` is packed after (away from end of) any other `GtkCellRenderer` packed with reference to the end of `box`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`renderer`

  Type: `GtkCellRenderer`

  The `GtkCellRenderer` to add.

  The data is owned by the caller of the method.

`expand`

  Type: `gboolean`

  Whether `renderer` should receive extra space when the area receives more than its natural size.

`align`

  Type: `gboolean`

  Whether `renderer` should be aligned in adjacent rows.

`fixed`

  Type: `gboolean`

  Whether `renderer` should have the same size in all rows.